module Sample(clk, data, LED, z);
input clk;
input [19:0] data;
output [7:0] LED;
output z;
reg [14:0] count;
// prev and current are floating point values of the following format
//  bit[19] = sign, bits[18:8] mantissa, bits[7:0] exponent
reg [19:0] prev, current, tmp; // floating point values
reg [7:0] exponent;
reg [21:0] mantissa;
reg [7:0] LED;
wire [30:0] mult;
reg sign;

assign mult = {sign, mantissa, exponent};
assign z = (mult == 0);

always @(negedge clk) begin	
	prev = current;
	current = data;
	mantissa = prev[18:8] * current[18:8];
	exponent = prev[7:0] + current[7:0];
	sign = prev[19] ^ current[19];
	LED = exponent;
end						
endmodule
